Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBar.ToolBarFeature

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionToolBar.ToolBarFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionToolBar

    public static final class QStyleOptionToolBar.ToolBarFeature

extends java.lang.Enum
implements QtEnumerator

This enum is used to describe whether a toolbar is movable or not.

See also:
  features, and `QToolBar::isMovable()`.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionToolBar.ToolBarFeature` | `Movable` The toolbar is movable, and a handle will appear when holding the cursor over the toolbar's boundary.
`static QStyleOptionToolBar.ToolBarFeature` | `None` The toolbar cannot be moved.

Method Summary
`static QStyleOptionToolBar.ToolBarFeatures` | `createQFlags(QStyleOptionToolBar.ToolBarFeature[] values)` This function creates a com.trolltech.qt.gui.QStyleOptionToolBar$ToolBarFeatures with the specified `com.trolltech.qt.gui.QStyleOptionToolBar$ToolBarFeature[]` QStyleOptionToolBar$ToolBarFeature values set.
`static QStyleOptionToolBar.ToolBarFeature` | `resolve(int value)` Returns the QStyleOptionToolBar$ToolBarFeature constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBar.ToolBarFeature` | `valueOf(java.lang.String name)`
`static QStyleOptionToolBar.ToolBarFeature[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QStyleOptionToolBar.ToolBarFeature None

  The toolbar cannot be moved. The default value.

### Movable

    public static final QStyleOptionToolBar.ToolBarFeature Movable

  The toolbar is movable, and a handle will appear when holding the cursor over the toolbar's boundary.

Method Detail

### values

    public static QStyleOptionToolBar.ToolBarFeature[] values()

### valueOf

    public static QStyleOptionToolBar.ToolBarFeature valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionToolBar.ToolBarFeatures createQFlags(QStyleOptionToolBar.ToolBarFeature[] values)

  This function creates a com.trolltech.qt.gui.QStyleOptionToolBar$ToolBarFeatures with the specified `com.trolltech.qt.gui.QStyleOptionToolBar$ToolBarFeature[]` QStyleOptionToolBar$ToolBarFeature values set.

### resolve

    public static QStyleOptionToolBar.ToolBarFeature resolve(int value)

  Returns the QStyleOptionToolBar$ToolBarFeature constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD